Subject: bug#30590: gnus should warn if no @ in recipient address

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 11 Apr 2018 22:51:26 +0200

積丹尼 Dan Jacobson <[email-masked]> writes:

> I wish gnus would have warned me,
> before I sent
>
> To: mwei%40lxde.org
> Cc: [email-masked]
>
> sailing off to the mailing list.
>
> Yeah, it bounced, but the Cc: people all got my silly mistake.
> (Yes I replaced the %40 I copied elsewhere with a @ later.)
>
> In fact nowadays, most mail addresses have an @ in it.
>
> Most people are the only person on the local machine.

It's true that very few people share computers with each other.  But
it's still not unheard of to work in companies where you don't have to
add the @company.name to the headers...

But you're right that the vast majority of mails people send these days
won't make it there without the @ in the address, so perhaps warning
would be nice?  It would have to be a configurable option, though, but
would default to `warn', I think.

Opinions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no